@charset "utf-8";
/* CONTAINERS.CSS */

/* SECTION I - COMMON TO ALL PAGES ------------------------------------------- */

/* #### HEADER CONTAINER ###################################### */

#header_container {
    padding: 10px;
}

/* #### NAV CONTAINER ######################################### */

#nav_container {
    padding: 10px;
}

#nav_container ul li {
    padding-top: 7px;
    list-style: none;
}

/* #### NARROW PICTURE CONTAINER ############################## */

#narrow_picture_container {
    /* padding: 10px; */
    height: 300px;
    position: relative;
    margin-left: auto;
    margin-right: auto;
    overflow: hidden;
}

#narrow_picture_container img {
    position: absolute;
    margin: auto;
    width: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

/* #### FOOTER COPYRIGHT CONTAINER ############################ */

#footer_copyright_container {
    text-align: center;
    margin-top: 30px;
    padding-bottom: 10px;
    font-size: 10px;
    color: #000;
}

/* SECTION II - COMMON CONTAINERS -------------------------------------------- */

/* #### COMMENT CONTAINER ##################################### */

.comment_container {
    text-align: center;
    margin: 0 auto;
    height: 100%;
    width:100%;
    padding-top: 15px;
    padding-bottom: 1px;
    margin-top: 5px;
    margin-bottom: 5px;
    background: rgb(255,255,255);
    background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(25,80,158,1) 50%, rgba(255,255,255,1) 100%);
}

.comment_container h2 {
    color: #ffffff;
}

.comment_container h3 {
    color: #ffffff;
}

.comment_container p {
    color: #ffffff;
}

.comment_container a:visited {
    color: #9ebcff;
}

/* SECTION III - PAGE SPECIFIC ----------------------------------------------- */

/* HOME PAGE -------------------------------------------------- */

/* #### JEFFS HOME PAGE CONTAINER ############################# */

#jeffs_home_page_container {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 0px;
}

#jeffs_home_page_container a:link, #jeffs_home_page_container a:visited {
    color: #3f7cd3;
}

#jeffs_home_page_container a:hover, #jeffs_home_page_container a:active {
    color: #003399;
}

#jeffs_home_page_container h3 {
    margin: 12px;
}

/* #### MY LISTS CONTAINER #################################### */

.my_lists_container {
    padding-top:20px;
    padding-bottom: 20px;
}

/* #### CONTACT ME BUTTON CONTAINER ############################ */

.contact_me_button_container {
    margin: auto;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 10px;
    padding-right: 10px;
    margin-top: 27px;
    margin-bottom: 25px;
    background-color: #CEDEF4;
    width: 90px;
}

/* 403, 404, 500 PAGES ---------------------------------------- */

/* #### STATUS CODE CONTAINER ################################# */

#status_code_container {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 0px;
}

/* CONTACT FORM PAGES ----------------------------------------- */

/* #### CONTACT FORM CONTAINER ################################ */

#contact_form_container {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 0px;
}

#contact_form {
    /* background-color: grey; */
    width: 100%;
    padding-top: 20px;
    padding-bottom: 20px;
}

#contact_table {
    /* background-color:green; */
    margin: 0 auto;
    z-index: 1;
    width: 100%;
}

.contact_label {
    color: #3F7CD3;
}

.contact_input {
    text-align: center;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 10px;
    padding-right: 10px;
    margin-bottom: 25px;
    margin-top: 7px;
}

#t_name, #t_email, #t_phonenumber {
    background-color: #CEDEF4;
    width: 25%;
    min-width: 220px;
    max-width: 250px;
}

#t_comments {
    background-color: #CEDEF4;
    width: 50%;
    min-width: 220px;
    max-width: 500px;
}

#t_answer {
    background-color: #CEDEF4;
    width: 25px;
}

.contact_button {
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 10px;
    padding-right: 10px;
    margin-bottom: 25px;
    margin-top: 7px;
    background-color: #CEDEF4;
    width: 65px;
}

#contact_form_container a:link, #contact_form_container a:visited {
    color: #777;
}

/* MY WEBSITE LINKS PAGE -------------------------------------- */

/* #### JEFFS WEBSITE LINKS CONTAINER ######################### */

#jeffs_website_links_container {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 0px;
}

/* STOP COUNTING ME PAGE -------------------------------------- */

/* #### STOP COUNTING ME CONTAINER ############################ */

#stop_counting_me_container {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 0px;
}

/* TTPS THANK YOU PAGE ---------------------------------------- */

/* #### JEFF TTPS CONTAINER ################################### */

#jeffs_ttps_thank_you_container {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 0px;
}

#jeffs_ttps_thank_you_picture {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    text-align: center;
}

#jeffs_ttps_thank_you_picture img {
    max-width: 99%;
    max-height: 99%;
}
